 //#####################################################################################################################################################################################
 #include <OneWire.h>
#include "string.h"
#include "temp_humidity.h"

int ret=0;
//OneWire  ds(4);  // on pin 10

void setup(void) 
{
  Serial.begin(9600);
 
 ret = sensors_Init();
 if(ret)
 {
 Serial.print("\nNUMBER OF TEMPERATURE HUMIDITY SENSORS DETECTED : ");
 Serial.println(SensorCount);
 for(int sr = 1;sr <= SensorCount; sr++)
  {
    Serial.print("sensor no : ");
    Serial.print(sr);
    Serial.print(" ");
    init_th_sensor(sr);
    Serial.println(" Initialized");
  }
 }
 else
 {
  Serial.print("\nSENSOR NOT DETECTED");
 }
}

void loop(void)
{
  if(SensorCount > 0)
  {
      Serial.println(" ");
      for(int sr = 1;sr <= SensorCount; sr++)
      {
        Serial.print("sensor no : ");
        Serial.print(sr);
        Serial.print(" ");
        Serial.print("  Temp : ");
        Serial.print(get_temperature_deg(sr));
        Serial.print(", Tempf : ");
        Serial.print(get_temperature_far(sr));
        Serial.print(", hum : ");
        Serial.println(get_humidity(sr));
      }
  }
  else
  {
    Serial.println("SENSOR NOT DETECTED");
    delay(1000);
  }
}
